> For the complete documentation index, see [llms.txt](https://docs.t1ger.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/boosting.md).

# boosting

Types and mission/job settings for the boosting contract

```lua
---@class BoostingRewardItem
---@field item string
---@field amount { min: number, max: number }

---@class BoostingReward
---@field cash { min: number, max: number }
---@field items BoostingRewardItem[]
---@field reputationPoints number?

---@class BoostingLocation
---@field coords vector4

---@class BoostingData
---@field blip { sprite: number, scale: number, color: number, text: string }
---@field vehicles string[]
---@field reward BoostingReward
---@field locations BoostingLocation[]

---@type BoostingData
return {
    blip = {sprite = 326, scale = 0.7, color = 1, route = true, text = "Boosting Contract"},

    vehicles = {
        "sultan", "sentinel", "felon", "buffalo", "dominator", "zion", "tailgater", "premier", "fugitive", "intruder", "jackal", "gauntlet",
    },

    reward = {
        cash = {min = 100, max = 1000},
        items = {
            {item = "scrap_metal", amount = {min = 2, max = 6}},
            {item = "steel", amount = {min = 1, max = 4}},
            {item = "aluminium", amount = {min = 0, max = 3}},
            {item = "plastic", amount = {min = 1, max = 2}},
            {item = "glass", amount = {min = 1, max = 2}},
            {item = "rubber", amount = {min = 0, max = 2}},
            {item = "electric_scrap", amount = {min = 0, max = 2}}, -- random chance
            {item = "copper", amount = {min = 0, max = 2}},
        },
        reputationPoints = 5, -- reputation points? set to nil or 0 to disable
    },

    locations = {
        {coords = vector4(-310.11, -756.56, 53.24, 155.90)},
        {coords = vector4(-336.26, -976.79, 31.06, 337.32)},
        {coords = vector4(-412.65, 1231.89, 325.63, 235.27)},
        {coords = vector4(-1691.69, 54.92, 64.49, 158.74)},
        {coords = vector4(-1124.71, -1611.83, 4.39, 300.47)},
        {coords = vector4(-1353.99, -890.83, 13.86, 39.68)},
        {coords = vector4(-691.68, -744.71, 37.99, 0.0)},
        {coords = vector4(-740.08, -75.07, 41.73, 25.51)},
        {coords = vector4(-336.68, -1495.00, 30.61, 357.16)},
        {coords = vector4(54.03, -1417.72, 29.34, 42.51)},
        {coords = vector4(153.61, -1645.43, 29.27, 300.47)},
        {coords = vector4(368.38, -1116.26, 29.39, 0.0)},
        {coords = vector4(10.39, -620.33, 35.71, 68.03)},
        {coords = vector4(-924.73, -2643.67, 39.03, 56.69)},
        {coords = vector4(-503.53, -2168.22, 8.31, 226.77)},
        {coords = vector4(-680.08, -1403.89, 4.99, 82.20)},
        {coords = vector4(-645.07, -1170.52, 9.66, 39.68)},
        {coords = vector4(1182.10, -1554.55, 39.38, 172.91)},
        {coords = vector4(1130.07, -485.31, 65.60, 252.28)},
        {coords = vector4(1274.29, -357.37, 69.06, 110.55)},
        {coords = vector4(878.72, -37.63, 78.75, 238.11)},
        {coords = vector4(635.39, 161.56, 95.68, 249.44)},
        {coords = vector4(-2351.97, 291.27, 169.45, 291.96)},
        {coords = vector4(-3053.53, 128.96, 11.55, 266.45)},
        {coords = vector4(-3135.41, 1102.41, 20.61, 76.53)},
        {coords = vector4(1101.69, 2662.86, 37.95, 357.16)},
        {coords = vector4(2547.23, 2612.94, 37.94, 11.33)},
        {coords = vector4(2732.50, 1354.73, 24.51, 0.0)},
        {coords = vector4(2567.51, 327.32, 108.44, 357.16)},
        {coords = vector4(2575.70, -377.05, 92.98, 85.03)},
        {coords = vector4(22.18, -1071.38, 38.14, 68.03)},
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-chop-shop/configuration/boosting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
